com.trendmicro.ds.antimalware.rest.object

## Class AntiMalwareSpywareItem

- java.lang.Object
- - com.trendmicro.ds.antimalware.rest.object.AntiMalwareSpywareItem

-     public class AntiMalwareSpywareItem
      extends java.lang.Object

  Author:
    WESLEY

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiMalwareSpywareItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getAntiMalwareQuarantinedFileID()` The key that refers to the spyware backup file.
    `java.lang.Integer` | `getAntiMalwareSpywareItemID()` The primary key of the spyware item
    `java.lang.Integer` | `getHostID()` The key refers to the host.
    `java.lang.String` | `getObjectInfo()` File-path, registry key, process name...etc (aka: resource)
    `java.lang.Integer` | `getObjectType()` Type identifier for Process, Cookies, File System, System Registry, Shortcut Link, Host File, Other (aka: resource type)
    `java.lang.Integer` | `getRiskLevel()` Risk level gauge Very Low (0), Low (25), Medium(50), High(75), Very High(100)
    `java.lang.Integer` | `getScanAction()` Scan Action: The action taken upon each spyware items: Pass (1), Delete (2), Quarantined (3), Clean (4), Deny Access (5)
    `java.lang.Integer` | `getScanResultAction()` Represent whether the action is successful (0) or failed (Error Code)
    `java.lang.Integer` | `getSpywareType()` Type identifier for Adware, Cookie, Diale, Keylogger, Trojan, Worm, Downloader..etc
    `void` | `setAntiMalwareQuarantinedFileID(java.lang.Integer antiMalwareQuarantinedFileID)`
    `void` | `setAntiMalwareSpywareItemID(java.lang.Integer antiMalwareSpywareItemID)`
    `void` | `setHostID(java.lang.Integer hostID)`
    `void` | `setObjectInfo(java.lang.String objectInfo)`
    `void` | `setObjectType(java.lang.Integer objectType)`
    `void` | `setRiskLevel(java.lang.Integer riskLevel)`
    `void` | `setScanAction(java.lang.Integer scanAction)`
    `void` | `setScanResultAction(java.lang.Integer scanResultAction)`
    `void` | `setSpywareType(java.lang.Integer spywareType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntiMalwareSpywareItem

          public AntiMalwareSpywareItem()

  - ### Method Detail

    - #### getAntiMalwareSpywareItemID

          public java.lang.Integer getAntiMalwareSpywareItemID()

      The primary key of the spyware item

    - #### setAntiMalwareSpywareItemID

          public void setAntiMalwareSpywareItemID(java.lang.Integer antiMalwareSpywareItemID)

    - #### getAntiMalwareQuarantinedFileID

          public java.lang.Integer getAntiMalwareQuarantinedFileID()

      The key that refers to the spyware backup file. It does not enforce referential integrity, i.e. cascade delete when record removing takes place

    - #### setAntiMalwareQuarantinedFileID

          public void setAntiMalwareQuarantinedFileID(java.lang.Integer antiMalwareQuarantinedFileID)

    - #### getHostID

          public java.lang.Integer getHostID()

      The key refers to the host. It does not enforce referential integrity, i.e. cascade delete when record removing takes place.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

    - #### getObjectInfo

          public java.lang.String getObjectInfo()

      File-path, registry key, process name...etc (aka: resource)

    - #### setObjectInfo

          public void setObjectInfo(java.lang.String objectInfo)

    - #### getObjectType

          public java.lang.Integer getObjectType()

      Type identifier for Process, Cookies, File System, System Registry, Shortcut Link, Host File, Other (aka: resource type)

    - #### setObjectType

          public void setObjectType(java.lang.Integer objectType)

    - #### getRiskLevel

          public java.lang.Integer getRiskLevel()

      Risk level gauge Very Low (0), Low (25), Medium(50), High(75), Very High(100)

    - #### setRiskLevel

          public void setRiskLevel(java.lang.Integer riskLevel)

    - #### getScanAction

          public java.lang.Integer getScanAction()

      Scan Action: The action taken upon each spyware items: Pass (1), Delete (2), Quarantined (3), Clean (4), Deny Access (5)

    - #### setScanAction

          public void setScanAction(java.lang.Integer scanAction)

    - #### getScanResultAction

          public java.lang.Integer getScanResultAction()

      Represent whether the action is successful (0) or failed (Error Code)

    - #### setScanResultAction

          public void setScanResultAction(java.lang.Integer scanResultAction)

    - #### getSpywareType

          public java.lang.Integer getSpywareType()

      Type identifier for Adware, Cookie, Diale, Keylogger, Trojan, Worm, Downloader..etc

    - #### setSpywareType

          public void setSpywareType(java.lang.Integer spywareType)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.